Finance::Quote::CurrencyRates::ECB(3pm)

NAME
Finance::Quote::CurrencyRates::ECB - Obtain currency rates from https://www.ecb.europa.eu

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new(currency_rates => {order => ['ECB']});

    $value = $q->currency('18.99 EUR', 'CAD');

DESCRIPTION
This module fetches currency rates from https://www.ecb.europa.eu and provides data to Finance::Quote to convert the first argument to the equivalent value in the currency indicated by the second argument.

The European Central Bank provides a small list of currencies, quoted against the Euro. This module caches the table of rates for the lifetime of the Finance::Quote object after the first currency conversion.

Terms & Conditions
Use of https://www.ecb.europa.eu is governed by any terms & conditions of that site.

Finance::Quote is released under the GNU General Public License, version 2, which explicitly carries a "No Warranty" clause.